#ifndef PREGUNTASELECCIONUNICA_H
#define PREGUNTASELECCIONUNICA_H

#include "Pregunta.h"

class PreguntaSeleccionUnica : public Pregunta
{
  protected:
	std::vector<std::string> opciones;

  public:
	PreguntaSeleccionUnica();
	virtual ~PreguntaSeleccionUnica() { }
	std::istream& leer(std::istream& in);
	virtual std::ostream& imprimir(std::ostream& out) const;
};

// cin >> pregunta
inline std::istream& operator>>(std::istream& in, PreguntaSeleccionUnica& pregunta)
{
	return pregunta.leer(in);
}

// cout << pregunta
inline std::ostream& operator<<(std::ostream& out, const PreguntaSeleccionUnica& pregunta)
{
	return pregunta.imprimir(out);
}

#endif // PREGUNTASELECCIONUNICA_H
